Deskhero Developer Hub
Back to deskhero.com
Scrape domains

Rescrape item

Puts one already discovered page of the domain back in the crawl queue and returns queued_count immediately, the page is fetched and re-embedded later by a background worker. Returns 404 when the page is unknown on this domain or when the domain's include and exclude path rules now exclude its URL, a rescrape never resurrects an excluded page.

POST /api/{tenant:minlength(2)}/v{version:apiVersion}/scrape_domains/{id}/items/{itemId}/rescrape
Authorisation
Minimum role: ADMIN

Request arguments

Name Type Source
idInt32
itemIdInt32
Request body example

Response

Status
200 (OK)
Type
DTO_scrape_rescrape_result
Wrapper
DTO_response_wrap
Other statuses
400 (BadRequest), 403 (Forbidden)
Response body example
DTO_scrape_rescrape_result
NameTypeReadOnlyDescription
queued_countInt32How many pages were put back in the crawl queue

Generated Aug 4, 2026 18:37